%glass-item{
  content: "";
  position: absolute;
  height: 100%;
  background: #ffffff4d;
  transform: skewX(323deg);
  z-index: 5;
}

.front {
  @include flex($justify: space-between);
  width: 100%;
  background: #65c7bf;
  height: 35vw;
  border-radius: 1vw;
  margin-top: -1vw;
  z-index: 4;
  overflow: hidden;
  position: relative;
  padding: 2vw;

  .knob_row {
    @include flex($direction: row, $justify: space-between);
    width: 93%;
    height: 4vw;

    .three_knob_holder {
      @include flex($direction: row, $justify: space-between);
    }

    .timer {
      @include flex($direction: row, $align: flex-end);
      width: 6vw;
      height: 68%;
      border: 0.1vw solid #8e8d8d;
      background: #a5a5a5b8;
      border-radius: 0.3vw;
      text-align: center;
      font-size: 1vw;
      font-family: 'Orbitron', sans-serif;
      position: relative;
      padding: 0.3vw;
      letter-spacing: 0.1vw;

      &::before {
        content: "";
        position: absolute;
        width: 0.5vw;
        height: 0.5vw;
        top: 0.3vw;
        right: 44%;
        background: red;
        border-radius: 50%;
        animation: timer 1s linear 1s 11 normal forwards;
      }
    }

    .circle_knob {
      @include flex(row);
      width: 3vw;
      height: 3vw;
      background: #e8e8e8;
      border-radius: 100%;
      border: 0.2vw solid #656565;
      position: relative;
      margin-right: 1vw;

      .center {
        display: inline-block;
        width: 2vw;
        height: 2vw;
        border: 0.1vw solid #656565;
        border-radius: 100%;
        box-shadow: inset 0 0 2px 1px gainsboro;
      }
    }
  }

  .door {
    width: 100%;
    background: #80dad3;
    height: 25vw;
    border-radius: 2vw;
    padding: 2vw;

    .glass {
      @include flex();
      width: 100%;
      background: #ffffff94;
      height: 18vw;
      border-radius: 2vw;
      position: relative;
      border: 0.2vw solid #656565;
      overflow: hidden;

      &::after {
        @extend %glass-item;
        width: 1vw;
        right: 9%;
      }

      &::before {
        @extend %glass-item;
        width: 3vw;
        right: 18%;
      }
    }

    .knob {
      @include flex($direction: row, $justify: space-between);
      margin: 0 auto 2vw auto;
      width: 90%;
      height: 1vw;
      position: relative;

      .center {
        width: 94%;
        height: 1vw;
        background: #e8e8e8;
        border-radius: 1vw;
        position: absolute;
        right: 3%;
        z-index: 4;
        border: 0.2vw solid #656565;
      }

      .right {
        width: 9%;
        height: 1.5vw;
        background: #656565;
        z-index: 2;
        border-radius: 1vw 3vw 3vw 1vw;
      }

      .left {
        width: 9%;
        height: 1.5vw;
        background: #656565;
        z-index: 2;
        border-radius: 3vw 2vw 2vw 3vw;
      }
    }

    .tray_holder {
      @include flex($direction: row);
      width: 100%;
      height: 0;
      perspective: 400px;
    }

    .tray {
      width: 84%;
      height: 15vw;
      background: #52525233;
      transform: rotateX(72deg);
    }
  }
}